Name: verve-plugin
Version: 0.3.5
Release: alt1.M41.1

Summary: Command line plugin for XFce Desktop
License: GPL
Group: Graphical desktop/XFce
Url: http://xfce-goodies.berlios.de
Packager: Georgy Kirik <kga@altlinux.ru>

Source: http://download.berlios.de/xfce-goodies/%name-%version.tar.bz2

Patch1: verve-plugin-pcre.patch
Patch2: verve-plugin-0.3.5-alt-fix.patch
Patch3: verve-plugin-0.3.5-alt-fix2.patch
Patch4: verve-plugin-0.3.5-alt-fix3.patch

# Automatically added by buildreq on Thu Nov 09 2006
BuildRequires: fontconfig gcc-c++ libX11-devel libdbus-glib-devel libgtk+2-devel libpcre-devel libstartup-notification perl-XML-Parser xfce4-dev-tools intltool
BuildRequires: libexo-devel >= 0.3.92, xfce4-panel-devel >= 4.4.3, libxfcegui4-devel >= 4.4.3, libxfce4util-devel >= 4.4.3

%description
The Verve panel plugin is a comfortable command line plugin for the Xfce panel. It supports several nice features, such as:
    * Command history
    * Auto-completion (including command history)
    * Open URLs and eMail addresses in your favourite applications
    * Focus grabbing via D-BUS (so you can bind a shortcut to it)
    * Custom input field width
					   
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
intltoolize --force
%__aclocal -I %_datadir/xfce4/dev-tools/m4macros/
%__automake -afc
%__autoconf
%configure
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_bindir/*
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel-plugins/*.desktop

%changelog
* Tue Jan 13 2009 George Kirik <kga@altlinux.org> 0.3.5-alt1.M41.1
- only rebuild with xfce-4.4.3 for branch 4.1

* Mon Oct 15 2007 Igor Zubkov <icesik@altlinux.org> 0.3.5-alt1.1
- NMU
  + fix build with new intltool

* Mon Jan 29 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.5-alt1
- new version

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.4-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Fri Oct 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.4-alt1
- First build for Sisyphus.

